<?php 
 
// array for JSON response
$response = array();
 
 require_once __DIR__ . '/catchexception.php';
// include db connect class
require_once __DIR__ . '/db_config.php';
  $json = file_get_contents('php://input');
 $obj = json_decode($json,true);

$deviceid = $obj['deviceid'];
$clientcode=$obj['clientcode'];
$fromdate=$obj['fromdate'];
$todate=$obj['todate'];
$sortby=$obj['sortby'];
$sortorder=$obj['sortorder'];
// $paraimeino ='f4f8ffbef470be87'; 
try{
  if ($sortby =="value")
{
$sortby=" round(cast(sum(grandtotal) as numeric),2) ";
}
else
{
  $sortby=" round(cast(sum(noofitems) as numeric),2) ";
}
if ($deviceid !="" ) {
    
     

 

    $paraquery="select count(transactionno) as noofbills,branchcode, (select branchname from tblbranchmaster where branchcode=a.branchcode) as  branchname, sum(noofitems) as qty , 
round(cast(sum(grandtotal) as numeric),2)  as salesvalue,(select syncdate from tblsales  where branchcode= a.branchcode order by syncdate desc limit 1) as lastsyncdate
from tblsales as a where clientcode =$1 and transactiondate between $2 and $3  and  statuscode =1 group by branchcode order by ". $sortby."  ". $sortorder ;
 
  $resultmax=  pg_prepare($con,"paraquery",$paraquery);
      $data = [$clientcode,$fromdate,$todate];
      $result = pg_execute($con,"paraquery",$data);
      
    if (!empty($result)) {
        // check for empty result
        if (pg_num_rows($result) > 0) {
      // user node
            $response["branchdetaills"] = array();
 
            while ($row = pg_fetch_assoc($result)) {        
              $report = array();
               
                $report["noofbills"] = $row["noofbills"];
                $report["branchcode"] = $row["branchcode"];
                $report["branchname"] = $row["branchname"];
                $report["salesvalue"] = $row["salesvalue"];
			      	$report["lastsyncdate"]=$row["lastsyncdate"];
                $report["qty"] = $row["qty"];
                
           
              // push single product into final response array
              array_push($response["branchdetaills"], $report);
            }
            // success
            $response["success"] = 1;
 
            // echoing JSON response
            echo  json_encode($response,JSON_UNESCAPED_UNICODE);


        } else {
            // no user found
            $response["success"] = 0;
            $response["message"] = "No Report found";
 
            // echo no users JSON
            echo json_encode($response);
        }
    } else {
        // no user found
        $response["success"] = 0;
        $response["message"] = "No found";
 
        // echo no users JSON
        echo json_encode($response);
    }
} else {
    // required field is missing
    $response["success"] = 0;
    $response["message"] = "Required field(s) is missing";
 
     echo  json_encode($response,JSON_UNESCAPED_UNICODE);
  }
  mch_db_release($con);
}
//catch exception
catch(Exception $e) {
mch_db_release($con);
echo 'Message: ' .$e->getMessage();
}
?>
